Product
This is an object representing a Fishbowl product.
Related guide: Product
Get the best price for the product
Retrieves the best unit price for the specific product.
Related guide: Pricing Rule
Parameters
-
customerId integerThe unique identifier for the customer associated with the product.
-
quantity quantityThe product quantity associated with the cost.
-
date date: 'yyyy-MM-dd'The date on which the best price will be calculated.
-
uomId integerThe unique identifier for the unit of measure.
-
includePricingRules booleanIndicates whether the list of pricing rules should be returned.
Attributes
No attributes.
GET /api/products/:id/best-price
curl --location \ --request GET '<YOUR SERVER>/api/products/:id/best-price' \ --header 'Authorization: Bearer <TOKEN>'
RESPONSE
{
"bestUnitPrice": "23.75",
"pricingRules": [
{
"id": 65,
"name": "Bike Club 4",
"description": "Must present Club Card",
"unitPrice": "22.5",
"valid": false
},
{
"id": 67,
"name": "Bike Club 5",
"description": "Must present Club Card",
"unitPrice": "23.75",
"valid": true
}
]
}
Delete product
Deletes the product with the specified ID.
Attributes
No attributes.
DELETE /api/products/:id
curl --location \ --request DELETE '<YOUR SERVER>/api/products/:id' \ --header 'Authorization: Bearer <TOKEN>'
